### Method

# RB Shell present

#### Declaration [src]

    gboolean
    rb_shell_present (
      RBShell* shell,
      guint32 timestamp,
      GError** error
    )

#### Description [src]

Attempts to display the main window to the user. See #gtk_window_present for details.

#### Parameters

`timestamp`

  Type: `guint32`

  GTK timestamp to use (for focus-stealing prevention).

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Not used.